<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="bike">
            <h2><span jhiTranslate="bikeBackendApp.bike.detail.title">Bike</span> {{ bike.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span jhiTranslate="bikeBackendApp.bike.model">Model</span></dt>
                <dd>
                    <span>{{ bike.model }}</span>
                </dd>
                <dt><span jhiTranslate="bikeBackendApp.bike.price">Price</span></dt>
                <dd>
                    <span>{{ bike.price }}</span>
                </dd>
                <dt><span jhiTranslate="bikeBackendApp.bike.serial">Serial</span></dt>
                <dd>
                    <span>{{ bike.serial }}</span>
                </dd>
                <dt><span jhiTranslate="bikeBackendApp.bike.status">Status</span></dt>
                <dd>
                    <span>{{ bike.status }}</span>
                </dd>
                <dt><span jhiTranslate="bikeBackendApp.bike.typeShockAbsorber">Type Shock Absorber</span></dt>
                <dd>
                    <span jhiTranslate="{{ 'bikeBackendApp.TypeShockAbsorber.' + bike.typeShockAbsorber }}">{{ bike.typeShockAbsorber }}</span>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/bike', bike.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Edit</span>
            </button>
        </div>
    </div>
</div>
